<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\ResponseStrategies;


class ResponseKurseOnCurrentPage extends ResponseStrategy
{
  public function extendResponse($pResponse)
  {
    $pResponse->kurse = $this->getKurse($pResponse);

    return $pResponse;
  }

  private function getKurse($pResponse)
  {
    $kursnummernAufSeite = $pResponse->blaettern->getItemsOnCurrentPage();
    $dbwKurse = new \DBWorkKurseWT(1, true);

    return $dbwKurse->getKurseByKursnummernKeepOrder($kursnummernAufSeite);
  }
}